mcxalter(1)

NAME
mcxalter - various network transformations

SYNOPSIS

mcxalter [-imx <fname> (specify matrix/graph input)] [-abc <fname> (specify label input)] [-tab <fname> (use tab file)] [-icl <fname> (specify cluster input)] [--block (use within-cluster edges)] [--blockc (use between-cluster edges)] [-o <fname> (output)] [-tf spec (apply tf-spec to input matrix)]

DESCRIPTION

This utility supplies various transformations of networks.

OPTIONS

The file name for input that is in label format.

The file name for input that is in mcl native matrix format.

This option causes the output to be printed with the labels found in the tab file. With -abc this option will, additionally, construct a graph only on the labels found in the tab file. If this option is used in conjunction with -imx the tab domain and the matrix domain are required to be identical.

Read in a cluster file for use with either --block or --blockc.

Remove between-cluster edges from the network. This is done first, before other transformations take effect.

Remove within-cluster edges from the network. This is done first, before other transformations take effect.

Transform the input matrix values according to the syntax described in mcxio(5).

Output file.

AUTHOR

Stijn van Dongen.

SEE ALSO

mcxio(5), mcx(1), mcxsubs(1), and mclfamily(7) for an overview of all the documentation and the utilities in the mcl family.